OpenTTD Source: Data Fields - Functions

OpenTTD Source 15.0-RC2

Here is a list of all documented functions with links to the struct/union documentation for each field:

### - t -

- TagNameFilter() : NetworkContentListWindow, NewGRFWindow
- TCPConnecter() : TCPConnecter
- TCPServerConnecter() : TCPServerConnecter
- TerraformToolbarEditorGlobalHotkeys() : ScenarioEditorLandscapeGenerationWindow
- TerraformToolbarGlobalHotkeys() : TerraformToolbarWindow
- Test() : BaseBitSet< Timpl, Tvalue_type, Tstorage, Tmask >
- TestEmergency() : Gamelog
- TestMode() : Gamelog
- TestRevision() : Gamelog
- Textbuf() : Textbuf
- ThrowError() : Squirrel
- Tick() : Aircraft, DisasterVehicle, EffectVehicle, RoadVehicle, Ship, Train, Vehicle, VideoDriver
- Tile() : Tile
- TileBelongsToIndustry() : Industry
- TileBelongsToRailStation() : BaseStation, Station, Waypoint
- TileIterator() : TileIterator
- TileMayHaveSlopedTrack() : RoadVehicle, Train
- TimeoutTimer() : TimeoutTimer< TTimerType >
- ToDisplay() : UnitConversion
- ToggleFullscreen() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_Dedicated, VideoDriver_Null, VideoDriver_SDL_Base, VideoDriver_Win32Base
- ToggleSelectedState() : ClientNetworkContentSocketHandler
- ToggleSortOrder() : GUIList< T, P, F >
- ToggleVsync() : VideoDriver, VideoDriver_SDL_OpenGL
- ToggleWidgetLoweredState() : Window
- TotalCount() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >, StationCargoList, VehicleCargoList
- ToWindowNumber() : VehicleListIdentifier
- Town() : Town
- TownNameParams() : TownNameParams
- TownNameSorter() : TownDirectoryWindow
- TownPopulationSorter() : TownDirectoryWindow
- TownRatingSorter() : TownDirectoryWindow
- TownResolverObject() : TownResolverObject
- TownScopeResolver() : TownScopeResolver
- Train() : Train
- TransferIn() : Packet
- TransferOut() : Packet
- TransferOutWithLimit() : Packet
- TransferToNetworkQueue() : PacketWriter
- Translate() : Rect
- TranslationWriter() : TranslationWriter
- Transmit() : NetworkSurveyHandler
- TransportTypeChar() : CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >
- Trash() : Backup< T >
- TravelTime() : LinkGraph::BaseEdge
- TreatFirstRedTwoWaySignalAsEOL() : CYapfCostRailT< Types >
- TrueTypeFontCache() : TrueTypeFontCache
- Truncate() : StationCargoList, VehicleCargoList
- TryBuildNewIndustry() : IndustryBuildData
- TryExecute() : CrashLog, CrashLogOSX, CrashLogUnix, CrashLogWindows
- TryMerge() : CargoList< Tinst, Tcont >
- TryNextAddress() : TCPConnecter
- TryPop() : HashTable< Titem, Thash_bits_ >
- TryReadChar() : StringConsumer
- TryReadIntegerBase() : StringConsumer
- TryReadSint16LE() : StringConsumer
- TryReadSint32LE() : StringConsumer
- TryReadSint64LE() : StringConsumer
- TryReadSint8() : StringConsumer
- TryReadUint16LE() : StringConsumer
- TryReadUint32LE() : StringConsumer
- TryReadUint64LE() : StringConsumer
- TryReadUint8() : StringConsumer
- TryReadUtf8() : StringConsumer
- TryReservePath() : CYapfReserveTrack< Types >
- TryReverse() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- Turn() : ClientNetworkTurnSocketHandler
- type() : Tile
- TypeOrSelectedFilter() : NetworkContentListWindow
- TypeSorter() : NetworkContentListWindow